#!/bin/sh
# REVRES 󥹥ȡ shell
#

echo -n  "web server document root [/var/www/html] ? : "
read DOCROOT

if [ -z $DOCROOT ]
then
	DOCROOT="/var/www/html"
else
	if [ ! -d $DOCROOT ]
	then
		echo "[$DOCROOT] not found"
		exit 1
	fi
fi

echo -n  "web server cgi directory [/var/www/cgi-bin] ? : "
read CGIDIR

if [ -z $CGIDIR ]
then
	CGIDIR="/var/www/cgi-bin"
else
        if [ ! -d $CGIDIR ]
        then
                echo "[$CGIDIR] not found"
                exit 1
        fi
fi

echo -n  "REVRES home directory [/home] ? : "
read HOMEDIR

if [ -z $HOMEDIR ]
then
        HOMEDIR="/home"
else
        if [ ! -d $HOMEDIR ]
        then
                echo "[$HOMEDIR] not found"
                exit 1
        fi
fi

echo -n  "web server administrator [nobody] ? : "
read ADMINU

if [ -z $ADMINU ]
then
        ADMINU="nobody"
fi

echo -n  "web server administarator group [nobody] ? : "
read ADMING

if [ -z $ADMING ]
then
        ADMING="nobody"
fi

echo -n  "perl command [/usr/bin/perl] ? : "

read PERLDIR

if [ -z $PERLDIR ]
then
	PERLDIR="/usr/bin/perl"
else
        if [ ! -f $PERLDIR ]
        then
                echo "[$PERLDIR] not found"
                exit 1
        fi
fi

mkdir $DOCROOT/REVRES
mkdir $CGIDIR/REVRES
REVRESHOME="$HOMEDIR/REVRES"
mkdir $REVRESHOME
mkdir $REVRESHOME/shells
mkdir $REVRESHOME/config
 
eval "$PERLDIR install.pl $PERLDIR $DOCROOT $CGIDIR $REVRESHOME"

chown $ADMINU $DOCROOT/REVRES $DOCROOT/REVRES/*
chgrp $ADMING $DOCROOT/REVRES $DOCROOT/REVRES/*
chmod 755 $DOCROOT/REVRES
chmod 644 $DOCROOT/REVRES $DOCROOT/REVRES/*

chown $ADMINU $CGIDIR/REVRES $CGIDIR/REVRES/*
chgrp $ADMING $CGIDIR/REVRES $CGIDIR/REVRES/*
chmod 755 $CGIDIR/REVRES $CGIDIR/REVRES/*

chown $ADMINU $REVRESHOME $REVRESHOME/shells $REVRESHOME/config 
chgrp $ADMING $REVRESHOME $REVRESHOME/shells $REVRESHOME/config
chmod 755 $REVRESHOME $REVRESHOME/shells $REVRESHOME/config

chown $ADMINU $REVRESHOME/shells/* $REVRESHOME/config/*
chgrp $ADMING $REVRESHOME/shells/* $REVRESHOME/config/*
chmod 644 $REVRESHOME/shells/* $REVRESHOME/config/*

cp -r DATA   $REVRESHOME/.
cp -r GIF    $DOCROOT/REVRES/.

chown $ADMINU $REVRESHOME/DATA $DOCROOT/REVRES/GIF
chgrp $ADMING $REVRESHOME/DATA $DOCROOT/REVRES/GIF
chmod 755 $DOCROOT/REVRES

chown $ADMINU $REVRESHOME/DATA/* $DOCROOT/REVRES/GIF/*
chgrp $ADMING $REVRESHOME/DATA/* $DOCROOT/REVRES/GIF/*

echo "done!"
exit 0

